[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: yum + up2date on FC4 x86_64 not working as well as hoped.



Odd thing is my yum.conf is clean, as is my sources file. But both yum &
up2date report "base already added". Are they on crack?

I even strace'd the whole thing and checked it's opening the correct
files :

open("/etc/sysconfig/rhn/sources", O_RDONLY) = 3
open("///etc/yum.repos.d", O_RDONLY|O_NONBLOCK|O_DIRECTORY) = 11
open("/etc/yum.repos.d/fedora-updates.repo", O_RDONLY) = 11
open("/etc/yum.repos.d/fedora.repo", O_RDONLY) = 11

Ohh god I am officially stupid AND blind...

Just saw the problem, inside the .repos files the headings were all
[base].

So shoot me please...

But, in my defence the problem still stands with up2date :

Setting up Package Sacks
Excluding Incompatible Archs
Finished
An error has occurred:
exceptions.TypeError
See /var/log/up2date for more information

[Thu Sep  8 11:37:54 2005] up2date   File "/usr/sbin/up2date", line
1265, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 800, in main
    fullUpdate, dryRun=options.dry_run))
   File "/usr/sbin/up2date", line 1137, in batchRun
    batch.run()
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 78, in run
    self.__dryRun()
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 163, in
__dryRun
    self.percentCallback)
   File "/usr/share/rhn/up2date_client/up2date.py", line 386, in dryRun
    ret = depsolve.solvedep()
   File "/usr/share/rhn/up2date_client/depSolver.py", line 722, in
solvedep
    ret = self.process_deps(deps)
   File "/usr/share/rhn/up2date_client/depSolver.py", line 616, in
process_deps
    changed = self.__dependencies(dependencies)
   File "/usr/share/rhn/up2date_client/depSolver.py", line 383, in
__dependencies
    added = self.__add(solved, check = 1)
   File "/usr/share/rhn/up2date_client/depSolver.py", line 221, in __add
    hdr = headerList[p]
   File "/usr/share/rhn/up2date_client/headers.py", line 37, in
__getitem__
    self.__retrievePackage(item)
   File "/usr/share/rhn/up2date_client/headers.py", line 42, in
__retrievePackage
    hdr, sourceType = rpcServer.doCall(self.repos.getHeader, item)
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 316, in
doCall
    ret = apply(method, args, kwargs)
   File "/usr/share/rhn/up2date_client/repoDirector.py", line 32, in
getHeader
    return self.handlers[channel['type']].getHeader(pkg, msgCallback,
progressCallback)

"yum install gcc" however worked flawlessly.

Cheers.

On Thu, 2005-09-08 at 11:23 +0900, Naoki wrote:
> Yes, I noticed that foolishness not long after sending the email :
> 
> # yum install gcc
> Repository base already added, not adding again
> Repository base already added, not adding again
> Setting up Install Process
> Setting up repositories
> base                      100% |=========================|  951 B
> 00:00
> Reading repository metadata in from local files
> Parsing package install arguments
> Resolving Dependencies
> --> Populating transaction set with selected packages. Please wait.
> ---> Package gcc.x86_64 0:4.0.1-4.fc4 set to be updated
> --> Running transaction check
> --> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc
> --> Processing Dependency: cpp = 4.0.1-4.fc4 for package: gcc
> --> Restarting Dependency Resolution with new changes.
> --> Populating transaction set with selected packages. Please wait.
> ---> Package cpp.x86_64 0:4.0.1-4.fc4 set to be updated
> ---> Package glibc-devel.x86_64 0:2.3.5-10.3 set to be updated
> --> Running transaction check
> --> Processing Dependency: glibc-headers for package: glibc-devel
> --> Processing Dependency: glibc-headers = 2.3.5-10.3 for package:
> glibc-devel
> --> Restarting Dependency Resolution with new changes.
> --> Populating transaction set with selected packages. Please wait.
> ---> Package glibc-headers.x86_64 0:2.3.5-10.3 set to be updated
> --> Running transaction check
> --> Processing Dependency: kernel-headers >= 2.2.1 for package:
> glibc-headers
> --> Processing Dependency: kernel-headers for package: glibc-headers
> --> Finished Dependency Resolution
> Error: Missing Dependency: kernel-headers >= 2.2.1 is needed by package
> glibc-headers
> Error: Missing Dependency: kernel-headers is needed by package
> glibc-headers
> 
> Where does the requirement for kernel-headers come from, it's not
> installed on my other boxes running gcc but seems to come from
> glibc-headers  :
> 
> # rpm -qRp glibc-headers-2.3.5-10.3.x86_64.rpm
> /bin/sh
> glibc = 2.3.5-10.3
> kernel-headers
> kernel-headers >= 2.2.1
> rpmlib(CompressedFileNames) <= 3.0.4-1
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> 
> 
> i386 FC4 box :
> 
> # rpm -q gcc
> gcc-4.0.1-4.fc4
> 
> # rpm -qR glibc-headers
> /bin/sh
> glibc = 2.3.5-10.3
> kernel-headers
> kernel-headers >= 2.2.1
> rpmlib(CompressedFileNames) <= 3.0.4-1
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> 
> # rpm -q kernel-headers
> package kernel-headers is not installed
> 
> Ok, how does that work :)
> 
> On Wed, 2005-09-07 at 09:54 +0100, Paul Howarth wrote:
> > Naoki wrote:
> > > Dependency problems here I'm hoping somebody can help with..
> > > 
> > > # yum install gcc
> > > Repository base already added, not adding again
> > > Repository base already added, not adding again
> > 
> > Step 1 is to clean up your yum configuration. In FC4 there should be no 
> > repo definitions in /etc/yum.conf - they should be in .repo files in the 
> > /etc/yum.repos.d directory; you've got two or maybe even three 
> > definitions for the [base] repo, which isn't helping. So clean out 
> > yum.conf and rationalise the entries in /etc/yum.repos.d so that you 
> > know which repos you've enabled and there is only one definition of each 
> > one.
> > 
> > Then try again and we'll take it from there.
> > 
> > Paul.
> > 
> 
> 
......................................................................................
Mark "Naoki" Rogers /VP - Systems Engineering
Systems
ValueCommerce Co., Ltd. 

Tokyo Bldg 4F 3-32-7 Hongo Bunkyo-ku Tokyo 113-0033 Japan
Tel. +81.3.3817.8995   Fax. +81.3.3812.4051
mailto:naoki valuecommerce co jp
......................................................................................


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]